package hello;

import java.time.LocalDateTime;

import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

@WebService
public class PierwszySerwis {
	
	public String witaj(String imie) {
		return "Witaj " + imie;
	}
	
	@WebResult(name="datetime")
	public String ktoraGodzina() {
		return LocalDateTime.now().toString();
	}
	
	@RequestWrapper(localName="wykonajObliczenie")
	@ResponseWrapper(localName="wykonajObliczenieResponse")
	@WebResult(name="wynik")
	public long oblicz(
			@WebParam(name="liczba1") long x,
			@WebParam(name="liczba2") long y,
			@WebParam(name="operacja") String operacja) {
		switch(operacja) {
			case "+": return x + y;
			case "-": return x - y;
			case "*": return x * y;
			case "/": return x / y;
			default: throw new IllegalArgumentException("Nieznana operacja " + operacja);
		}
	}
}
